cc.funkemunky.api.tinyprotocol.api.packets

## Interface AbstractTinyProtocol

All Known Implementing Classes:
  TinyProtocol1_7, TinyProtocol1_8

    public interface AbstractTinyProtocol

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`int` `getProtocolVersion(org.bukkit.entity.Player player)`
`boolean` `hasInjected(org.bukkit.entity.Player player)`
`void` `injectPlayer(org.bukkit.entity.Player player)`
`void` `receivePacket(org.bukkit.entity.Player player, java.lang.Object packet)`
`void` `sendPacket(org.bukkit.entity.Player player, java.lang.Object packet)`
`void` `uninjectPlayer(org.bukkit.entity.Player player)`

### Method Detail

#### sendPacket

    void sendPacket(org.bukkit.entity.Player player,
                    java.lang.Object packet)

#### receivePacket

    void receivePacket(org.bukkit.entity.Player player,
                       java.lang.Object packet)

#### injectPlayer

    void injectPlayer(org.bukkit.entity.Player player)

#### getProtocolVersion

    int getProtocolVersion(org.bukkit.entity.Player player)

#### uninjectPlayer

    void uninjectPlayer(org.bukkit.entity.Player player)

#### hasInjected

    boolean hasInjected(org.bukkit.entity.Player player)

#### close

    void close()